<?php
/**
 * Widget estándar para fabricar links.
 */
attachModule(STR, 'WebFunctions');
attachModule(GUI, 'compinit');
class LinkWidget extends Widget {
    public $AttribArray = array();
    public $Widget;

    public function __construct($link,$Widget) {
        $this->setHyperlink($link);
        $this->setWidget($Widget);
    }
    public function generateHTML() {
        // Es importante que este activada la propiedad finalclose, ya que puede
        // haber problemas sino.
        if(isset($this->Widget)) {
            $output = new OutputManager();
            $output->addOutput(insertTag('a', true, false, false,$this->AttribArray,true));
            $output->addOutput($this->ExecuteComponent($this->Widget));
            $output->addOutput(insertTag('a', false, false, false,null,true));
            return $output->export();
        }else {
            panic2(get_class($this), 2004, 'Attribute array information: '.print_r($this->AttribArray));
        }
    }
    public function setHyperlink($link) {
        $link = processHyperLink($link);
        $this->AttribArray['href'] = $link;
    }
    public function setWidget($Widget) {
        $this->Widget = $Widget;
    }
}

?>
