<?php
/* 
 * Security Functions
 *
 * Aqui se encuentran distintas funciones relacionadas al tema seguridad.
*/

function reportSecurityBreach() {

}

function SafeSerialize($object,$filename) {
    /* Esta función serializa de manera segura un objeto a un archivo php,
     * agregando código que alerta al usuario y al sistema de una intrusión.
    */

    // Declaro variables globales.
    global $system;
    // Serializo el objeto que me dieron.
    $object = serialize($object);
    // Agrego al código del objeto strings de marcación para poder reconocerlo.
    $object = '#@#'.$object.'@#@';
    // Convierto el código en un fragmento de código php comentado.
    $object = '<?php /*$unreadablevar = \''.$object.'\';*/ ?>'.PHP_EOL;
    // Agrego la estructura de la página web.
    $object = $object.'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'.PHP_EOL;
    $object = $object.'<html>'.PHP_EOL;
    $object = $object.'<body>'.PHP_EOL;
    $object = $object.'The file you are trying to access is not available.<br/>'.PHP_EOL;
    $object = $object.'<a href="'.'http://'.$_SERVER['HTTP_HOST'].$system->relativePath.'/index.php'.'"> Return to index </a>'.PHP_EOL;
    $object = $object.'</body>'.PHP_EOL;
    $object = $object.'</html>';
    // Guardo el archivo
    @file_put_contents($filename.'.php', $object);

}
function SafeUnSerialize($filename) {
    /* Esta función deserializa un objeto serializado en un archivo php mediante
     * la función SafeSerialize, siendo este objeto devuelto por la función.
    */

    // Intento acceder al contenido del archivo.
    $object = @file_get_contents($filename.'.php');
    // Verifico si el archivo existe.
    if($object === false) {
        // Si el archivo no existe, devuelvo como resultado un false.
        return false;
    }else {
        // Si el archivo existe, localizo el inicio del objeto
        $ini = strpos($object, '#@#');
        // Verifico que se haya encontrado el inicio
        if($ini === false) {
            // Si no se encontró el inicio, devuelvo false.
            return false;
        }else {
            // Ajusto $ini para que apunte al inicio del objeto.
            $ini = $ini + 3;
            // Busco ahora el final del objeto.
            $fin = strpos($object, '@#@');
            // Verifico que se haya encontrado el final
            if($fin === false) {
                // Si no se encontró el final, devuelvo false.
                return false;
            }else {
                // Estimo el largo del objeto
                $largo = $fin - $ini;
                // Como tengo inicio y fin, extraigo el objeto del string y lo devuelvo.
                return substr($object, $ini, $largo);
                // Al no tener cargada la clase del objeto a deserializar, queda a cargo
                // de quien llamó a la función.
            }
        }
    }
}

?>
