<?php

// <editor-fold defaultstate="collapsed" desc="Textos de los idiomas.">
// Tabla de lenguages disponibles
$languages = array('en' => 'English', 'es' => 'Espa&#328ol');
$language_text = array(
        'en' => array('Welcome to the AEngine installation page. This guide will take you through all necessary steps to set up the AEngine in your server.',
                'First of all, please select your preferred language from the box below...'),
        'es' => array(),
);// </editor-fold>

require "../Standard/WebFunctions.php";
session_start();
// Creo un output manager para los textos intermedios.
$Internal = new OutputManager();
// Creo el output manager
$Output = new OutputManager();
$Output->addOutput('<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">');
$Output->addOutput('<html>');
// Verifico ahora si la variable 'page' es una variable de la sesión.
if (!isset($_SESSION['page'])) {
    // Si page no está seteada, es pq estoy en la primera página del sistema.
    $_SESSION['page'] = 0;
    // Escribo los estilos
    $Internal->addOutput("body {background-color:#f2c860;margin:0;padding:5;}");
    $Internal->addOutput("#main {width:1024px;height:100%;margin-left:auto;margin-right:auto;
        background-color:#f2af2f;}");
    $Internal->addOutput("#header {width:95%;margin-left:auto;margin-right:auto;}");
    $Internal->addOutput("#separator {width:100%;height:25px;}");
    $Internal->addOutput("#introduction {width:50%;margin-left:auto;margin-right:auto;}");
    $Internal->addOutput("form#language {text-align: center}");
    // Transcribo los estilos al output.
    create_Head("AEngine Installation Page - Language Selection", $Internal->export_text());
    // Limpio el Internal.
    $Internal->flush();
    // Escribo el body.
    $Internal->addOutput('<div id="main">');
    add_Separator();
    $Internal->addOutput('<div id="header">');
    $Internal->addOutput('<img src="images/header.jpg"  style="width:100%"/>');
    $Internal->addOutput('</div>');
    add_Separator();
    $Internal->addOutput('<div id="introduction">'.$language_text['en'][0].'</div>');
    $Internal->addOutput('<form id="language" name="langselection" action="install.php" method="post">');
    $Internal->addOutput($language_text['en'][1].'</br>');
    $Internal->addOutput('<select name="language">');
    foreach ($languages as $langshort => $langname) {
        $Internal->addOutput('<option value="'.$langshort.'">'.$langname.'</option>');
    }
    $Internal->addOutput('</select>');
    $Internal->addOutput('<input type="submit" value="Submit" />');
    $Internal->addOutput('</form>');
    $Internal->addOutput('</div>');
    // Transcribo el body al output.
    create_Body($Internal->export_text());



} else {
    // Si la página está creada, ejecuto el código correspondiente.
    switch ($_SESSION['page']) {
        case 0:

        // Incremento la variable de Page.
            $_SESSION['page'] = 1;
        // Creo la variable de lenguaje de la sesion.
            $_SESSION['lang'] = $_POST['language'];

            print_r($_SESSION);


//
//            // Escribo los estilos
//            $Internal->addOutput("body {background-color:#f2c860;margin:0;padding:5;}");
//            $Internal->addOutput("#main {width:1024px;height:100%;margin-left:auto;margin-right:auto;
//        background-color:#f2af2f;}");
//            $Internal->addOutput("#header {width:95%;margin-left:auto;margin-right:auto;}");
//            $Internal->addOutput("#separator {width:100%;height:25px;}");
//            $Internal->addOutput("#introduction {width:50%;margin-left:auto;margin-right:auto;}");
//            $Internal->addOutput("form#language {text-align: center}");
//            // Transcribo los estilos al output.
//            create_Head("AEngine Installation Page - Language Selection", $Internal->export_text());
//            // Limpio el Internal.
//            $Internal->flush();
//            // Escribo el body.
//            $Internal->addOutput('<div id="main">');
//            add_Separator();
//            $Internal->addOutput('<div id="header">');
//            $Internal->addOutput('<img src="images/header.jpg"  style="width:100%"/>');
//            $Internal->addOutput('</div>');
//            add_Separator();
//            $Internal->addOutput('<div id="introduction">'.$language_text['en'][0].'</div>');
//            $Internal->addOutput('<form id="language" name="langselection" action="install.php" method="post">');
//            $Internal->addOutput($language_text['en'][1].'</br>');
//            $Internal->addOutput('<select name="language">');
//            foreach ($languages as $langshort => $langname) {
//                $Internal->addOutput('<option value="'.$langshort.'">'.$langname.'</option>');
//            }
//            $Internal->addOutput('</select>');
//            $Internal->addOutput('<input type="submit" value="Submit" />');
//            $Internal->addOutput('</form>');
//            $Internal->addOutput('</div>');
//            // Transcribo el body al output.
//            create_Body($Internal->export_text());










            // Destruyo la sesion mientras este en fase de pruebas.
            session_destroy();

            break;

        case 1:

            break;

        default:
            break;
    }
}
$Output->addOutput('</html>');
// Exporto la pagina y realizo la corrección de caracteres.
echo utf8tohtml($Output->export_text());




/* ---------------------------------------------------------------------------- */

function create_Head($title, $styles) {
    global $Output;
    $Output->addOutput('<head>');
    $Output->addOutput('<meta http-equiv="Content-Type" content="text/html" charset="UTF-8" >');
    $Output->addOutput('<title>' . $title . '</title>');
    $Output->addOutput('<style type="text/css">');
    $Output->addOutput($styles);
    $Output->addOutput('</style>');
    $Output->addOutput('</head>');
}
function create_Body($body) {
    global $Output;
    $Output->addOutput('<body>');
    $Output->addOutput($body);
    $Output->addOutput('</body>');
}
function add_Separator() {
    global $Internal;
    $Internal->addOutput('<div id="separator">');
    $Internal->addOutput('</div>');
}


?>
