<?php
require_once ('./AECore/aekernel.php');
attachModule(GUI, 'compinit');
attachModule(SEC,"SecurityFunctions");

$page = new Webpage('GrayScale International - The Free Software Company');
// Creo una stylesheet para el body.
$page->addStylesheet(body, TYPE_ELEMENT);
$page->addAttribute(body, 'margin-top', '50px');
$page->addAttribute(body, 'margin-left', '0px');
$page->addAttribute(body, 'margin-right', '0px');
// Frame del header, con sus estilos.
$Frame = new FrameWidget('header');
$Frame->addAttribute('width', '100%');
$Frame->addAttribute('height', '600px');
$Frame->addAttribute('margin-left', '0px');
$Frame->addAttribute('padding-left', '0px');
// NOTA: Es necesario brindar soporte a redireccionar imágenes via CSS.
$Frame->addAttribute('background-image', 'url(\'AEData/Images/gsiLogo.jpg\')');
$Frame->addAttribute('background-repeat', 'no-repeat');
$Frame->addAttribute('background-position', 'center');
$Frame->addAttribute('background-color', '#F4F4F4');
$page->addComponent($Frame);
// Nuevo Frame correspondiente al body.
$Frame = new FrameWidget('mainbody');
$Frame->addAttribute('text-align', 'center');
$Frame->addAttribute('font-family', '"Trebuchet MS"');
$Frame->addAttribute('border-top', '1px solid #CCCCCC');
$Frame->addAttribute('border-bottom', '1px solid #CCCCCC');
$Widget = new ParagraphWidget('maintext');
$Widget->addText('ID: 2');
$Frame->addComponent($Widget);
$page->addComponent($Frame);
$Frame = new FrameWidget('footer');
$Frame->addAttribute('width', '100%');
$Frame->addAttribute('height', '10px');
$Frame->addAttribute('margin-left', '0px');
$Frame->addAttribute('padding-left', '0px');
$Frame->addAttribute('text-align', 'center');
$Frame->addAttribute('font-family', '"Trebuchet MS"');
$Frame->addAttribute('font-size', '75%');
$Widget = new TextWidget('Text: Copyright 2010 - GrayScale International');
$Frame->addComponent($Widget);
$page->addComponent($Frame);
SafeSerialize($page, 'page0.msk');
echo 'Mascara creada';

?>

