<?php
require_once ('./AECore/aekernel.php');
attachModule(GUI, 'compinit');
attachModule(SEC,"SecurityFunctions");

$page = new Webpage('GrayScale International - The Free Software Company');
$page->addPreprocessor('File: Main.php');
// Creo una stylesheet para el body.
$page->addStylesheet(body, TYPE_ELEMENT);
$page->addAttribute(body, 'margin-top', '50px');
$page->addAttribute(body, 'margin-left', 'auto');
$page->addAttribute(body, 'margin-right', 'auto');
$page->addAttribute(body, 'width', '1024px');
$page->addAttribute(body, 'height', '100%');
$page->addAttribute(body,'border-top', '1px solid #CCCCCC');
$page->addAttribute(body,'border-left', '1px solid #CCCCCC');
$page->addAttribute(body,'border-right', '1px solid #CCCCCC');
$page->addAttribute(body,'border-bottom', '1px solid #CCCCCC');
// Frame del header, con sus estilos.
$Frame = new FrameWidget('header');
$Frame->addAttribute('width', '100%');
$Frame->addAttribute('height', '100px');
$Frame->addAttribute('margin-left', '0px');
$Frame->addAttribute('padding-left', '0px');
// NOTA: Es necesario brindar soporte a redireccionar imágenes via CSS.
$Frame->addAttribute('background-image', 'url(\'AEData/Images/GSI-small.png\')');
$Frame->addAttribute('background-repeat', 'no-repeat');
$Frame->addAttribute('background-position', 'right');
$Frame->addAttribute('background-color', '#F4F4F4');
$page->addComponent($Frame);
// Nuevo Frame correspondiente al cuerpo de la página.
$Frame = new FrameWidget('mainbody');
$Frame->addAttribute('font-family', '"Trebuchet MS"');
$Frame->addAttribute('border-top', '1px solid #CCCCCC');
$Frame->addAttribute('border-bottom', '1px solid #CCCCCC');
$Frame->addAttribute('height', '100%');
// Frame2, correspondiente a los componentes internos del cuerpo de la pagina.
$Frame2 = new FrameWidget('topbar');
$Frame2->addAttribute('border-bottom', '1px solid #CCCCCC');
$Frame2->addAttribute('text-align', 'center');
$Widget = new TextWidget('Text: Top Menu Bar');
$Frame2->addComponent($Widget);
$Frame->addComponent($Frame2);
// Frame2, correspondiente a los componentes internos del cuerpo de la pagina.
$Frame2 = new FrameWidget('intbody');
$Frame2->addAttribute('height', '100%');
//$Frame2->CorrectOverflow();
// Frame3, correspondiente a los componentes internos del cuerpo de la pagina.
$Frame3 = new FrameWidget('leftmenu');
//$Frame3->ExtendHeight();
$Frame3->addAttribute('margin-left', '0px');
$Frame3->addAttribute('padding-left', '0px');
$Frame3->addAttribute('width', '200px');
$Frame3->addAttribute('min-height', '100%');
$Frame3->addAttribute('float', 'left');
$Frame3->addAttribute('border-right', '1px solid #CCCCCC');
$Widget = new ParagraphWidget('menutext');
$Widget->addText('Text: Menu'.PHP_EOL.'Menu'.PHP_EOL.'Menu');
$Frame3->addComponent($Widget);
$Widget = new ExternWidget('appleimage', 'appleimage');
$Frame3->addComponent($Widget);
$Frame2->addComponent($Frame3);
// Frame3, correspondiente a los componentes internos del cuerpo de la pagina.
$Frame3 = new FrameWidget('maincontent');
$Frame3->addAttribute('min-height', '350px');
//$Frame3->ExtendHeight();
$Widget = new ParagraphWidget('maintext');
$Widget->addText('ID: 4');
$Frame3->addComponent($Widget);
$Frame2->addComponent($Frame3);
$Frame->addComponent($Frame2);
$page->addComponent($Frame);
$Frame = new FrameWidget('footer');
$Frame->addAttribute('width', '100%');
$Frame->addAttribute('margin-left', '0px');
$Frame->addAttribute('padding-left', '0px');
$Frame->addAttribute('text-align', 'center');
$Frame->addAttribute('font-family', '"Trebuchet MS"');
$Frame->addAttribute('font-size', '75%');
$Widget = new TextWidget('Text: Copyright 2010 - GrayScale International');
$Frame->addComponent($Widget);
$page->addComponent($Frame);
SafeSerialize($page, 'page2.msk');
echo 'Mascara creada';

?>

