<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of dbRoutineWidget
 *
 * @author Nicanor Gioffré
 */
attachModule(GUI, 'compinit');
attachModule(FRM,'formHandler');
attachModule(DBS); 
class DB_RoutineWidget extends Widget {
    private $constructor;
    protected $opi;
    protected $databaseAlias;
    protected $tableAlias;
    protected $getData;
    protected $useForm;

    protected $processData;

    protected $form;
    public function __construct($form,$databaseAlias,$tableAlias,$getData,$useForm,$visualSelector,$visualEditor){
     $this->databaseAlias = $databaseAlias;
     $this->tableAlias = $tableAlias;
     $this->getData = $getData; 
     $this->useForm = $useForm;
     $this->form = $form;
     $this->visualSelector = $visualSelector;
     $this->visualEditor = $visualEditor;
    }

    private $editorTableColumns = array();
    private $editorTableRows = array();
    public function editorUseTable($columns,$rows){
        $this->editorTableColumns = $columns;
        $this->editorTableRows = $rows;
    }

    public function editorJointRows($rows){
        
    }
    public function editorJoinCols($cells){
        
    }
    
    private $editorFOS = array();
    public function editorPushFO($alias,$column,$row){
        $column--;
        $row--;
        $this->editorFOS[$row][$column] = $alias;
    }
    private $editorST;
    public function editorPushString($string,$column,$row){
        $column--;
        $row--;
        $this->editorST[$row][$column] = $string;
    }
    private $editorMergeCols;
    public function editorMergeCols($row,$colStart,$colCount){
        $row--;
        $colStart--;
        $this->editorMergeCols[$row][$colStart] = $colCount;
    }
    public function editorSetTableWidth($width){

    }

    public function generateHTML(){
       // CORRE LA INTERFAZ
       $fw = new FormWidget($this->form);
       $theinterface = new sqlInterface($this->GLOBAL_VARIABLES);
       $theinterface->newInterface($this->form,$this->databaseAlias,$this->tableAlias,$this->getData,$this->useForm);
       $this->opi = $theinterface;

       // SE GENERA EL HTML CON LOS RESULTADOS

       if($theinterface->requireEditorUI){
        
        while($fos = $this->form->returnFormAsObjects(null)){
            if($fos->type === "form"){
                $form["begin"] = "<form action='".$this->form->action."' method='".$this->form->method."' ".""."> ";
                $form["end"] = "</form>";
            } 
            if(in_array($fos->name,$this->useForm)){
            // TYPE: TEXTFIELD
           
            if($fos->type === "textfield"){
                if(isset($fos->value)){
                    $value = "value='".$fos->value."'";
                }
                if(isset($fos->charWidth)){
                    $charWidth = "size='".$fos->charWidth."'";
                }
                if(isset($fos->maxlength)){
                    $maxLenght = "maxlenght='".$fos->maxlength."'";
                }
                
                if(is_array($theinterface->rpsError[$fos->name])){
                    foreach($theinterface->rpsError[$fos->name] as $tfErrors){
                        $return .= $tfErrors."<br>";
                    }
                }
                $inputFOS[$fos->name] = "<input type ='textfield' name='".$fos->name."' id='".$fos->name."' ".$value." ".$class." ".$maxLenght." ".$charWidth." > ";
            }

            //TYPE: TEXTAREA
            if($fos->type === "textarea"){
                
                if(isset($fos->class)){
                    $class = "class='".$fos->class."'";
                }
                if(isset($fos->columns)){
                    $charWidth = "cols='".$fos->columns."'";
                }
                if(isset($fos->rows)){
                    $charHeight = "rows='".$fos->rows."'";
                }
                if(isset($fos->disabled)){
                    if($fos->disabled){
                        $disabled = "disabled='disabled'";
                    }
                }
                if(isset($fos->readonly)){
                    if($this["readonly"]){
                        $readonly = "readonly='readonly'";
                    } 
                }
                if(isset($fos->maxlength)){
                    $maxLenght = "maxlenght='".$fos->maxlenght."'";
                }
                
                if(is_array($theinterface->rpsError[$fos->name])){
                 
                }
                $inputFOS[$fos->name] =  "<textarea name='".$fos->name."' id='".$fos->name."' ".$class." ".$maxLenght." ".$charWidth." ".$charHeight." ".$disabled." ".$readonly." >".$fos->value."</textarea> ";
                

           }
            // TYPE: CHECKBOX
            if($fos->type === "checkbox"){
                $inputFOS[$fos->name] = "<input type='checkbox' name='".$fos->name."' value='".$fos->value."' ".$fos->checked." > ";

            }
            // TYPE: SELECTBOX
            if($fos->type === "selectbox"){
                //Procesa los valores para devolverlos como opciones.
                $i = 0;
                unset($selectField);
                foreach($fos->label as $v){
                    $selected = "";
                    if($v === $fos->selected){
                        $selected = "selected='".$v."'";
                    }
                    if(is_array($fos->value)){
                        $val = "value='".$fos->value[$i]."'";
                    }
                    $i++;
                    $selectField .= "<option ".$selected." ".$val." >".$v."</option> ";
                }
                //--------------------------------------------------
                $inputFOS[$fos->name] = "<select name='".$fos->name."' id='".$fos->id."' >".$selectField."</select> ";

            }
            // TYPE: Radio
            if($fos->type === "radio"){
                $i = 0;
                $radioTemp;
                foreach($fos->label as $v){
                    $checked = "";
                    if($v === $fos->checked){
                        $checked = "checked='checked'";
                    }
                    $i++;
                    //RETORNA LOS ITEMS POR EL NOMBRE DEL GRUPO: $item["name"]  y el nombre de la opción
                    $radioTemp[$v] = "<input type='radio' name='".$fos->name."' value='".$fos->value[$i]."' ".$checked." > ";
                }
                $inputFOS[$fos->name] = implode($radioTemp);
            }
            // TYPE: File
            if($fos->type === "file"){
                $inputFOS[$fos->name] = "<input type='file' name='".$fos->name."' id='".$fos->name."' /> ";
            }
            // TYPE: Hidden
            if($fos->type === "hidden"){
                $inputFOS[$fos->name] = "<input type='".$fos->type."' value='".$fos->value."' name='".$fos->name."'> ";
            }
        }
        // TYPE: Button
        if($fos->type === "button"){
            $inputFOS[$fos->name] = " <input type='".$fos->type."' value='".$fos->value."' name='".$fos->name."'> ";
        }
        if($fos->type === "submit"){
            $inputFOS[$fos->name] = " <input type='".$fos->type."' value='".$fos->value."' name='".$fos->name."'> ";
        }
      }

      if(isset($this->editorTableRows)){
        $return .= ("<table bgcolor='#FFFFFF'>");
        $csc = 0;
        for($row=0;$row<$this->editorTableRows;$row++){
            $return .= ("<tr>");
            //echo($row."<br>");
            for($column=0;$column<$this->editorTableColumns;$column++){
                 //echo($column);
                if(isset($this->editorFOS[$row][$column])){
                    $set = $this->editorFOS[$row][$column];
                }
                if(isset($this->editorST[$row][$column])){
                    $str = $this->editorST[$row][$column];
                }
                if(isset($this->editorMergeCols[$row][$column])){
                    //print_r($this->editorMergeCols);
                    $colspan = " colspan='".$this->editorMergeCols[$row][$column]."'";
                    $colspanACT = $this->editorMergeCols[$row][$column];
                }
                if(is_int($colspanACT)){
                    $csc++;
                    if($csc < $colspanACT){
                        $tcsData .= $str.$inputFOS[$set];
                    }else{
                        if(isset($theinterface->rpsError[$set])){
                        //$return .= ("</tr><tr><td colspan='".$this->editorTableColumns."'>".$theinterface->rpsError[$set][0]."</td></tr><tr>");
                        }
                        $return .= ("<td ".$colspan.">".$tcsData."</td>");
                        unset($colspanACT);
                        unset($tcsData);
                        $csc = 0;
                        unset($str);
                        unset($colspan);
                        
                    }
                }else{
                    if(isset($theinterface->rpsError[$set])){
                        // EVENTUALMENTE REEMPLAZAR CON PUSH ERROR $return .= ("</tr><tr><td colspan='".$this->editorTableColumns."'>".$theinterface->rpsError[$set][0]."</td></tr><tr>");
                    }
                    $return .= ("<td>".$str.$inputFOS[$set]."</td>");
                    unset($set);
                    unset($str);
                    unset($colspan);
                }
            }
            $return .= ("</tr>");
        }
        $return .= ("</table>");
       }

       $return = $form["begin"].$return.$form["end"];
       
       
       }
       
       if($theinterface->requireSelectorUI){
        $return = "<table bgcolor='#FFFFFF'>";
        $return .= ("<tr>");
        foreach($this->visualSelector as $vobj){
            $return .= ("<td>".$vobj."</td>");
        }
        $return .= ("</tr>");
        while($b = $this->opi->getData()){
            $return .= ("<tr>");
            $c = $this->opi->getDataLinkInGroups();
            
            foreach($b as $e){
                $return .= ("<td>".$e."</td> ");
            }
            for($i =0; $i<count($c["label"]);$i++){
                $return .= "<td> <a href='".$c["data"][$i]."'>".$c["label"][$i]."<a/></td>";
            }
            $return .=  ("</tr>");
        }
        $return .= ("</table>");
        $return .= ("<a href='".$this->opi->getNextLink()."'>Next</a>");
        $return .= ("<a href='".$this->opi->getPreviousLink()."'>Previous</a>");
       }
        return  $return;
    }
}
?>
