<?php
/**
 * Widget que representa un párrafo de texto.
 */
attachModule(GUI, 'compinit');
attachModule(SCR, 'BBCode/BBparser');
attachModule(INT, "LanguageManager");
class ParagraphWidget extends Widget {
    public $Text;

    public function generateHTML() {
        $AECODE = new AECodeRunner($this->GLOBAL_VARIABLES);
        $this->Text = getTextbyID($this->Text);
        $this->Text = $AECODE->parseAECODE($this->Text);
        $this->Text = nl2br($this->Text, true);
        $this->Text = str_replace("<br />\n<br />", '</p>'.PHP_EOL.'<p>', $this->Text);
        $this->Text = '<p>'.$this->Text.'</p>'.PHP_EOL;
        return processBBcode($this->Text);
    }

    public function addText($text) {
        $this->Text = $text;
    }
}?>