﻿# HeidiSQL Dump 
#
# --------------------------------------------------------
# Host:                         localhost
# Database:                     engine
# Server version:               5.0.24a-community-nt
# Server OS:                    Win32
# Target compatibility:         ANSI SQL
# HeidiSQL version:             4.0
# Date/time:                    2010-05-14 00:13:59
# --------------------------------------------------------

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ANSI,NO_BACKSLASH_ESCAPES';*/
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;*/


#
# Database structure for database 'engine'
#

CREATE DATABASE /*!32312 IF NOT EXISTS*/ "engine" /*!40100 DEFAULT CHARACTER SET latin1 */;

USE "engine";


#
# Table structure for table 'engine_databasecfg'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "engine_databasecfg" (
  "id" int(10) unsigned NOT NULL auto_increment,
  "tablename" varchar(25) NOT NULL,
  "tablealias" varchar(25) NOT NULL,
  "tableuidfield" varchar(25) NOT NULL,
  PRIMARY KEY  ("id"),
  UNIQUE KEY "id" ("id","tablename","tablealias","tableuidfield"),
  KEY "id_2" ("id")
) AUTO_INCREMENT=4;



#
# Dumping data for table 'engine_databasecfg'
#

LOCK TABLES "engine_databasecfg" WRITE;
/*!40000 ALTER TABLE "engine_databasecfg" DISABLE KEYS;*/
REPLACE INTO "engine_databasecfg" ("id", "tablename", "tablealias", "tableuidfield") VALUES
	('1','tablita','tablatest','id');
REPLACE INTO "engine_databasecfg" ("id", "tablename", "tablealias", "tableuidfield") VALUES
	('2','nuevatablita','nt','id');
REPLACE INTO "engine_databasecfg" ("id", "tablename", "tablealias", "tableuidfield") VALUES
	('3','ntbl','talias','id');
/*!40000 ALTER TABLE "engine_databasecfg" ENABLE KEYS;*/
UNLOCK TABLES;


#
# Table structure for table 'engine_errors'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "engine_errors" (
  "id" int(7) unsigned NOT NULL auto_increment,
  "date" datetime NOT NULL,
  "errorId" tinyint(3) unsigned NOT NULL default '0',
  "description" longtext,
  "userId" int(4) unsigned default NULL,
  "browser" varchar(50) default NULL,
  "extra" longtext,
  PRIMARY KEY  ("id","errorId"),
  UNIQUE KEY "id" ("id"),
  KEY "id_2" ("id","errorId")
) AUTO_INCREMENT=2;



#
# Dumping data for table 'engine_errors'
#

LOCK TABLES "engine_errors" WRITE;
/*!40000 ALTER TABLE "engine_errors" DISABLE KEYS;*/
REPLACE INTO "engine_errors" ("id", "date", "errorId", "description", "userId", "browser", "extra") VALUES
	('1','2010-05-12 13:03:41',255,'SYSTEm STOPPED','2','ie','Extra');
/*!40000 ALTER TABLE "engine_errors" ENABLE KEYS;*/
UNLOCK TABLES;


#
# Table structure for table 'ntbl'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "ntbl" (
  "id" int(5) unsigned NOT NULL auto_increment,
  "data1" varchar(50) default NULL,
  "data2" varchar(50) default NULL,
  "data3" varchar(50) default NULL,
  PRIMARY KEY  ("id"),
  UNIQUE KEY "id" ("id"),
  KEY "id_2" ("id")
) AUTO_INCREMENT=34;



#
# Dumping data for table 'ntbl'
#

LOCK TABLES "ntbl" WRITE;
/*!40000 ALTER TABLE "ntbl" DISABLE KEYS;*/
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('5','nica','G','NICA');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('2','Nicanor','GioffrÃ©','new value');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('3','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('4','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('0','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('6','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('7','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('8','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('9','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('10','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('11','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('12','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('13','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('14','GioffrÃ©','new value',NULL);
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('15','GioffrÃ©','new value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('16','GioffrÃ©','new value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('17','GioffrÃ©','new value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('18','GioffrÃ©','new value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('19','GioffrÃ©','new value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('20','GioffrÃ©','new value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('21','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('22','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('23','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('24','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('25','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('26','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('27','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('28','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('29','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('30','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('31','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('32','Gioffre','news value','tiny DAncer');
REPLACE INTO "ntbl" ("id", "data1", "data2", "data3") VALUES
	('33','Gioffre','news value','tiny DAncer');
/*!40000 ALTER TABLE "ntbl" ENABLE KEYS;*/
UNLOCK TABLES;


#
# Table structure for table 'nuevatablita'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "nuevatablita" (
  "id" tinyint(3) unsigned NOT NULL auto_increment,
  "usuario" varchar(50) default NULL,
  "contraseña" varchar(50) default NULL,
  "nombre" varchar(50) default NULL,
  "apellido" varchar(50) default NULL,
  PRIMARY KEY  ("id"),
  UNIQUE KEY "id" ("id"),
  KEY "id_2" ("id")
) AUTO_INCREMENT=10;



#
# Dumping data for table 'nuevatablita'
#

LOCK TABLES "nuevatablita" WRITE;
/*!40000 ALTER TABLE "nuevatablita" DISABLE KEYS;*/
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(1,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(2,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(3,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(4,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(5,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(6,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(7,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(8,'Nicanor','Gioffre','Nic','Gio');
REPLACE INTO "nuevatablita" ("id", "usuario", "contraseña", "nombre", "apellido") VALUES
	(9,'Nicanor','Gioffre','Nic','Gio');
/*!40000 ALTER TABLE "nuevatablita" ENABLE KEYS;*/
UNLOCK TABLES;


#
# Table structure for table 'tablita'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "tablita" (
  "id" int(10) unsigned NOT NULL auto_increment,
  "valor1" varchar(50) default NULL,
  "valor2" varchar(50) default NULL,
  PRIMARY KEY  ("id"),
  UNIQUE KEY "id" ("id"),
  KEY "id_2" ("id")
) AUTO_INCREMENT=49;



#
# Dumping data for table 'tablita'
#

LOCK TABLES "tablita" WRITE;
/*!40000 ALTER TABLE "tablita" DISABLE KEYS;*/
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('1','2','3');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('2','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('3','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('4','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('5','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('6','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('7','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('8','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('9','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('10','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('11','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('12','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('13','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('14','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('15','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('16','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('17','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('18','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('19','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('20','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('21','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('22','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('23','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('24','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('25','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('26','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('27','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('28','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('29','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('30','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('31','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('32','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('33','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('34','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('35','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('36','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('37','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('38','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('39','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('40','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('41','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('42','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('43','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('44','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('45','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('46','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('47','1','2');
REPLACE INTO "tablita" ("id", "valor1", "valor2") VALUES
	('48','1','2');
/*!40000 ALTER TABLE "tablita" ENABLE KEYS;*/
UNLOCK TABLES;


#
# Table structure for table 'test'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "test" (
  "id" varchar(7) default NULL,
  "column2" varchar(50) default NULL,
  "nothinelsematter" tinyint(3) unsigned default NULL
);



#
# Dumping data for table 'test'
#

LOCK TABLES "test" WRITE;
/*!40000 ALTER TABLE "test" DISABLE KEYS;*/
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('PRUEBA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('PRUEBA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('PRUEBA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('PRUEBA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,'HOLAAA',NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,'HOLAAA',NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,'HOLAAA',NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,'HOLAAA',NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	(NULL,'HOLAAA',NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA',NULL,NULL);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('HOLAAA','como',0);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
REPLACE INTO "test" ("id", "column2", "nothinelsematter") VALUES
	('1','2',3);
/*!40000 ALTER TABLE "test" ENABLE KEYS;*/
UNLOCK TABLES;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE;*/
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;*/
