 <?php
require_once ('./AECore/aekernel.php');
attachModule(GUI, 'compinit');
attachModule(SEC,"SecurityFunctions");

// This part of the code is used to configure the website.

$maskid = 0; // ID of the page to be created. Default for index.php is 0.

$page = new Webpage('AEngine');
$page->addStylesheet(body, TYPE_ELEMENT);
$page->addAttribute(body,'text-align','center');
$Widget = new ImageWidget('AEngineLogo.png');

$page->addComponent($Widget);

// From here on code should not be modified.
SafeSerialize($page, "page$maskid.msk");
if((!copy("page$maskid.msk.php","./AECore/config/masks/page$maskid.msk.php")) && (!unlink("page$maskid.msk.php")))
	echo "There has been a problem with the creation of the masks.\nPlease ensure you have the right permissions for this folders.";
else
	echo 'The mask has been successfully created and copied to: ./AECore/config/masks';
?>

